WEECHAT(1)

NAME
weechat - der erweiterbare Chat Client

SYNOPSIS

    weechat [-a|--no-connect] [-d|--dir <path>] [-p|--no-plugin] [-r|--run-command <command>] [-s|--no-script] [--upgrade] [plugin:option...]
    weechat [-c|--colors]
    weechat [-h|--help]
    weechat [-l|--license]
    weechat [-v|--version]

BESCHREIBUNG

WeeChat (Wee Enhanced Environment for Chat) ist ein freier, schneller und schlanker Chat-Client der für unterschiedliche Betriebssysteme entwickelt wird. Durch Skripten ist das Hauptprogramm äußerst flexibel und erweiterbar.

OPTIONEN

-a, --no-connect
    deaktiviert das automatische Verbinden mit den Servern beim Start von WeeChat.

-c, --colors
    zeigt die Standardfarben im Terminal an.

-d, --dir <path>
    legt den Konfigurationsordner für WeeChat fest in welchem die Erweiterungen, Skripten, Protokolldateien etc.pp. gesichert werden (Voreinstellung: ~/.weechat). Sollte das Verzeichnis nicht existieren wird es beim Start angelegt. Wird diese Option nicht genutzt, wird die Umgebungsvariable WEECHAT_HOME genutzt (sofern diese vorhanden ist).

-h, --help
    zeigt einen Hilfstext an.

-l, --license
    zeigt die Lizenz von WeeChat an.

-p, --no-plugin
    unterbindet das Laden der Erweiterungen beim Programmstart.

-r, --run-command <command>
    führt einen oder mehrere Befehle aus, nachdem WeeChat gestartet wurde (mehrere Befehle müssen durch Kommata voneinander getrennt werden).

-s, --no-script
    Skripten werden beim Programmstart nicht geladen.

--upgrade
    führt ein WeeChat Upgrade mit Sitzungsdateien durch, die mittels dem Befehl /upgrade -quit erstellt wurden.

-v, --version
    zeigt die Version von WeeChat an.

plugin:option
    Option für Erweiterung.

OPTIONEN VON ERWEITERUNGEN

Um eine vollständige Dokumentation der Optionen zu erhalten, siehe WeeChat user’s guide.

Mittels der IRC Erweiterung kann man sich zu einen temporären Server verbinden lassen, indem man eine URL verwendet:

    irc[6][s]://[[nickname][:password]@]server[:port][/#channel1[,#channel2...]]

Um dem WeeChat IRC Support-Channel, mit dem Nick "mynick", beizutreten:

    irc://mynick@chat.freenode.net/#weechat

Um eine IPv6 Adresse zu nutzen, muss diese in eckige Klammern gesetzt werden:

    irc://mynick@[2001:db8:0:85a3::ac1f:8001]:6668/#test

DATEIEN

$HOME/.weechat/weechat.conf
    WeeChats Konfigurationsdatei

$HOME/.weechat/plugins.conf
    Konfigurationsdatei für Erweiterungen

$HOME/.weechat/sec.conf
    Konfigurationsdatei mit schutzwürdigen Daten

$HOME/.weechat/alias.conf
    Konfigurationsdatei für alias Erweiterung

$HOME/.weechat/aspell.conf
    Konfigurationsdatei für aspell Erweiterung

$HOME/.weechat/charset.conf
    Konfigurationsdatei für charset Erweiterung

$HOME/.weechat/exec.conf
    Konfigurationsdatei für exec Erweiterung

$HOME/.weechat/irc.conf
    Konfigurationsdatei für irc Erweiterung

$HOME/.weechat/logger.conf
    Konfigurationsdatei für logger Erweiterung

$HOME/.weechat/relay.conf
    Konfigurationsdatei für relay Erweiterung

$HOME/.weechat/script.conf
    Konfigurationsdatei für script Erweiterung

$HOME/.weechat/trigger.conf
    Konfigurationsdatei für trigger Erweiterung

$HOME/.weechat/xfer.conf
    Konfigurationsdatei für xfer Erweiterung

$HOME/.weechat/weechat.log
    WeeChat Protokolldatei

AUTOREN

Diese manpage wurde von Sébastien Helleu <flashcode@flashtux.org> geschrieben.

Übersetzt von Nils Görs <weechatter@arcor.de>.

COPYRIGHT

WeeChat wird programmiert von Sébastien Helleu und weiteren Beitragenden (eine vollständige Auflistung findet man in der AUTHORS.asciidoc Datei).

Copyright © 2003-2016 Sébastien Helleu <flashcode@flashtux.org>

WeeChat is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

Please read the COPYING file for more information.

Web: https://weechat.org/

SUPPORT / FEHLER MELDEN

für Hilfe oder um einen Fehler zu melden: https://weechat.org/dev/support